# TimeoffTypes Object

> Source: https://truto.one/docs/api-reference/unified-hris-api/timeofftypes/

Schema for the `TimeoffTypes` resource in **Unified HRIS API**.

## Properties

- **`id`** _(string, required)_
  The unique identifier for TimeoffType
- **`name`** _(string)_
  This represents the name of the time off type
- **`description`** _(string)_
  This represents the description of the time off type
- **`unit`** _(string)_
  This represents the unit of the time off type
  Allowed: `hours`, `days`, `weeks`, `months`
- **`created_at`** _(string)_
  This represents the date when the timeofftype was created
- **`updated_at`** _(string)_
  This represents the date when the timeofftype was updated
- **`remote_data`** _(object)_
  Raw data returned from the remote API call.

## Methods

- [GET /unified/hris/timeoff_types](/docs/api-reference/unified-hris-api/timeofftypes/list) — List Timeoff types
- [GET /unified/hris/timeoff_types/{id}](/docs/api-reference/unified-hris-api/timeofftypes/get) — Get Timeoff types
